package org.black_ixx.bossshop.points;
import java.util.HashMap;

/**
 * 用于支持其他插件注册点券插件
 *
 */
public class PointsAPI {
    private static HashMap<String, IPointsAPI> interfaces = new HashMap<String, IPointsAPI>();
    public static void register(IPointsAPI points) {
        interfaces.put(points.getName(), points);        
    }

    public static IPointsAPI get(String name) {
        return interfaces.get(name);
    }

}
